Page MenuHomePhabricator

Merge Disambiguation in core or add hook
Open, Needs TriagePublic

Description

Parsoid depends on the Disambiguator extension. This extension should either be merged into core, or implemented with a hook or API that Parsoid can cleanly use.

(Grep for this task # in the parsoid sources to learn more.)

Event Timeline

Thanks for the pointer. As the title of this task states, we could also add a 'proper' hook to core and leave it as an extension. Worth revisiting that 7-yr-old discussion though!

(Didn't get this done for 1.35, re-targetting for 1.36.)

We already have the GetLinkColors hook, called from LinkHolderArray, which Disambiguator uses to add the appropriate class.
Probably that hook is sufficient, we just need to restructure how the Parsoid DataAccess works. This would still require Disambiguator-specific information in the Parsoid 'API' backend, but that's probably reasonable.

The parser tests which have the disambiguator CSS class should be moved to tests/parser of Extension:Disambiguator with an appropriate extension:Disambiguator line in the !! hooks section.

Change 647841 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] api: Use GetLinkColours hook to export CSS classes in page info

https://gerrit.wikimedia.org/r/647841

Change 647847 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] WIP: Disentangle Disambiguator extension from Parsoid

https://gerrit.wikimedia.org/r/647847

Change 648461 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/extensions/Disambiguator@master] Move Parsoid disambiguator parser tests to Extension:Disambiguator

https://gerrit.wikimedia.org/r/648461

Change 647841 merged by jenkins-bot:
[mediawiki/core@master] api: Use GetLinkColours hook to export CSS classes in page info

https://gerrit.wikimedia.org/r/647841

Change 649663 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/core@master] api: Fix property description for 'linkclasses' property of ApiQueryInfo

https://gerrit.wikimedia.org/r/649663

Change 649663 merged by jenkins-bot:
[mediawiki/core@master] api: Fix property description for 'linkclasses' property of ApiQueryInfo

https://gerrit.wikimedia.org/r/649663

Change 647847 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Disentangle Disambiguator extension from Parsoid

https://gerrit.wikimedia.org/r/647847

Change 655097 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[integration/config@master] Add Disambiguator to mediawiki gated extension set

https://gerrit.wikimedia.org/r/655097

Change 655098 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[integration/config@master] Ensure Parsoid's integration job tests against the Disambiguator extension

https://gerrit.wikimedia.org/r/655098

Change 655482 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a22

https://gerrit.wikimedia.org/r/655482

Change 655482 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a22

https://gerrit.wikimedia.org/r/655482

Change 655098 merged by jenkins-bot:
[integration/config@master] Ensure Parsoid's integration job tests against the Disambiguator extension

https://gerrit.wikimedia.org/r/655098

Mentioned in SAL (#wikimedia-releng) [2021-01-12T01:11:38Z] <James_F> Zuul: Ensure Parsoid's integration job tests against the Disambiguator extension T237538

Change 655742 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[integration/config@master] Ensure Parsoid's integration job tests against the Disambiguator extension

https://gerrit.wikimedia.org/r/655742

Change 648461 merged by jenkins-bot:
[mediawiki/extensions/Disambiguator@master] Move Parsoid disambiguator parser tests to Extension:Disambiguator

https://gerrit.wikimedia.org/r/648461

Change 655742 merged by jenkins-bot:

[integration/config@master] Ensure Parsoid's tests include the Disambiguator extension (take 2)

https://gerrit.wikimedia.org/r/655742

Mentioned in SAL (#wikimedia-releng) [2021-05-05T23:52:38Z] <James_F> Zuul: Ensure Parsoid's tests include the Disambiguator extension (take 2) T271863 T237538

Change 655097 merged by jenkins-bot:

[integration/config@master] Zuul: Add Disambiguator to the MediaWiki gated extension set

https://gerrit.wikimedia.org/r/655097

Mentioned in SAL (#wikimedia-releng) [2021-05-11T23:32:01Z] <James_F> Zuul: Add Disambiguator to the MediaWiki gated extension set T237538 T249674